    <div class="row">
        <div class="col-lg-12 col-sm-12">
            <div>
                <div class="card">
                    <div class="card-body">
                        <a class="card-link" href="{{ url_for('profile', username = post.author.username) }}">
                        <h5 class="card-title">{{ post.author.firstname }}{{post.author.lastname}}</h5>
                        </a>
                        <h6 class="card-subtitle mb-7 text-muted"> {{ moment(post.timestamp).fromNow() }}</h6>
                        <p class="card-text">{{ post.body }}</p>
                            {{post.likers.count()}}likes
                        {% if post in current_user.liked%}
                            <a class="card-link" id = "dislike" name = "dislike" href="{{ url_for('dislike', post_id=post.id) }}">dislike</i></a>
                        {% else %}
                            <a class="card-link" id = "like" name = "like" href="{{ url_for('like', post_id=post.id) }}">like</i></a>
                        {% endif %}  
                        <br>
                    <footer class="blockquote-footer">comments<cite title="Source Title"></cite></footer>
                    <form action="/index/{{current_user.id}}/{{post.id}}", method="post">
                        {{ comment_form.hidden_tag() }}
                        <p>
                            {{ comment_form.body(cols=32, rows=4) }}<br>
                            {% for error in comment_form.body.errors %}
                            <span style="color: red;">[{{ error }}]</span>
                            {% endfor %}
                        </p>
                        <p></p>
                        <p>{{ comment_form.submit()}}</p>
                    </form>
                    {% for comment in comments %}
                        {% if comment.post_id == post.id %}
                            {{comment.user.firstname}} {{comment.user.lastname}}--{{comment.body}}<br>
                        {% endif %}
                    {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>
<br>


   

